@echo off&Color 1F&mode 87,20
cd /d "%~dp0" && ( if exist "%temp%\getadmin.vbs" del "%temp%\getadmin.vbs" ) && fsutil dirty query %systemdrive% 1>nul 2>nul || (cmd /u /c echo Set UAC = CreateObject^("Shell.Application"^) : UAC.ShellExecute "cmd.exe", "/k cd ""%~dp0"" && ""%~0"" %params%", "", "runas", 1 > "%temp%\getadmin.vbs" && "%temp%\getadmin.vbs" && exit /B )
echo.
echo.
:MENU
cls&Color 1F&mode 87,20
echo.
echo.
echo  ====================================================================================
echo  		     Windows 10에서 Windows 11 업데이트 차단
echo  ====================================================================================
echo.
echo.                
echo   [1] Windows 11 차단 - 21H2			[2] Windows 11 차단 - 21H1
echo. 
echo.         
echo   [3] Windows 11 차단 - 20H2			[4] Windows 11 차단 - 2004
echo.
echo.
echo   [5] Windows 11 차단 - 1909
echo.
echo.
echo   [6] 설정 초기화
echo.                                                              
echo.
echo.
set /p firstindex="    번호를 선택하세요!! 123456 :"
if "%firstindex%"=="1" goto W001
if "%firstindex%"=="2" goto W002
if "%firstindex%"=="3" goto W003
if "%firstindex%"=="4" goto W004
if "%firstindex%"=="5" goto W005
if "%firstindex%"=="6" goto W006
echo.    
echo.    
echo. 
cls
color 0b
echo 잘못 누르셨습니다!!
timeout /t 2 >nul
cls
goto MENU

:W001
cls
echo.
echo  ===================================================================================
echo  		   21H2 - Windows 11 업데이트 차단
echo  ===================================================================================
timeout /t 2 >nul
REG ADD "HKLM\SOFTWARE\Policies\Microsoft\Windows\WindowsUpdate" /v "ProductVersion" /t REG_SZ /d "Windows 10" /f
REG ADD "HKLM\SOFTWARE\Policies\Microsoft\Windows\WindowsUpdate" /v "TargetReleaseVersion" /t REG_DWORD /d "1" /f
REG ADD "HKLM\SOFTWARE\Policies\Microsoft\Windows\WindowsUpdate" /v "TargetReleaseVersionInfo" /t REG_SZ /d "21H2" /f
timeout /t 2 >nul
taskkill /F /IM explorer.exe
timeout /t 2 >nul
start explorer.exe
timeout /t 2 >nul
goto MENU
exit

:W002
cls
echo.
echo  ===================================================================================
echo  		   21H1 - Windows 11 업데이트 차단
echo  ===================================================================================
timeout /t 2 >nul
REG ADD "HKLM\SOFTWARE\Policies\Microsoft\Windows\WindowsUpdate" /v "ProductVersion" /t REG_SZ /d "Windows 10" /f
REG ADD "HKLM\SOFTWARE\Policies\Microsoft\Windows\WindowsUpdate" /v "TargetReleaseVersion" /t REG_DWORD /d "1" /f
REG ADD "HKLM\SOFTWARE\Policies\Microsoft\Windows\WindowsUpdate" /v "TargetReleaseVersionInfo" /t REG_SZ /d "21H1" /f
timeout /t 2 >nul
taskkill /F /IM explorer.exe
timeout /t 2 >nul
start explorer.exe
timeout /t 2 >nul
goto MENU
exit

:W003
cls
echo.
echo  ===================================================================================
echo  		   20H2 - Windows 11 업데이트 차단
echo  ===================================================================================
timeout /t 2 >nul
REG ADD "HKLM\SOFTWARE\Policies\Microsoft\Windows\WindowsUpdate" /v "ProductVersion" /t REG_SZ /d "Windows 10" /f
REG ADD "HKLM\SOFTWARE\Policies\Microsoft\Windows\WindowsUpdate" /v "TargetReleaseVersion" /t REG_DWORD /d "1" /f
REG ADD "HKLM\SOFTWARE\Policies\Microsoft\Windows\WindowsUpdate" /v "TargetReleaseVersionInfo" /t REG_SZ /d "20H2" /f
timeout /t 2 >nul
taskkill /F /IM explorer.exe
timeout /t 2 >nul
start explorer.exe
timeout /t 2 >nul
goto MENU
exit

:W004
cls
echo.
echo  ===================================================================================
echo  		   2004 - Windows 11 업데이트 차단
echo  ===================================================================================
timeout /t 2 >nul
REG ADD "HKLM\SOFTWARE\Policies\Microsoft\Windows\WindowsUpdate" /v "ProductVersion" /t REG_SZ /d "Windows 10" /f
REG ADD "HKLM\SOFTWARE\Policies\Microsoft\Windows\WindowsUpdate" /v "TargetReleaseVersion" /t REG_DWORD /d "1" /f
REG ADD "HKLM\SOFTWARE\Policies\Microsoft\Windows\WindowsUpdate" /v "TargetReleaseVersionInfo" /t REG_SZ /d "2004" /f
timeout /t 2 >nul
taskkill /F /IM explorer.exe
timeout /t 2 >nul
start explorer.exe
timeout /t 2 >nul
goto MENU
exit

:W005
cls
echo.
echo  ===================================================================================
echo  		   1909 - Windows 11 업데이트 차단
echo  ===================================================================================
timeout /t 2 >nul
REG ADD "HKLM\SOFTWARE\Policies\Microsoft\Windows\WindowsUpdate" /v "ProductVersion" /t REG_SZ /d "Windows 10" /f
REG ADD "HKLM\SOFTWARE\Policies\Microsoft\Windows\WindowsUpdate" /v "TargetReleaseVersion" /t REG_DWORD /d "1" /f
REG ADD "HKLM\SOFTWARE\Policies\Microsoft\Windows\WindowsUpdate" /v "TargetReleaseVersionInfo" /t REG_SZ /d "1909" /f
timeout /t 2 >nul
taskkill /F /IM explorer.exe
timeout /t 2 >nul
start explorer.exe
timeout /t 2 >nul
goto MENU
exit

:W006
cls
echo.
echo  ===================================================================================
echo  		   Windows 10에서 Windows 11 업데이트 켜기
echo  ===================================================================================
timeout /t 2 >nul
REG DELETE "HKLM\SOFTWARE\Policies\Microsoft\Windows\WindowsUpdate" /v "ProductVersion" /f
REG DELETE "HKLM\SOFTWARE\Policies\Microsoft\Windows\WindowsUpdate" /v "TargetReleaseVersion" /f
REG DELETE "HKLM\SOFTWARE\Policies\Microsoft\Windows\WindowsUpdate" /v "TargetReleaseVersionInfo" /f
REG ADD "HKLM\SOFTWARE\Policies\Microsoft\Windows\WindowsUpdate" /f
timeout /t 2 >nul
taskkill /F /IM explorer.exe
timeout /t 2 >nul
start explorer.exe
timeout /t 2 >nul
goto MENU
exit


